#ifndef _INC_GDMCINSTANCE_H
#define _INC_GDMCINSTANCE_H

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _gdmcinst            gdmcinst;

#define GDMC_STATE_INITIAL          ((_u32)0)         ///< initial state
#define GDMC_STATE_HAVE_SUID        ((_u32)1)         ///< SUID retrieved from MobiCore
#define GDMC_STATE_HAVE_AUTHTOK     ((_u32)2)         ///< SO.AuthToken generated by MobiCore

#define MAX_RESEND_TRIES            64

struct _gdmcinst
{
  _u32                  state;                        ///< internal state of this instance
  _u8                   suid[SUID_LENGTH];            ///< SUID as retrieved from MobiCore
  _u8                   kSoCAuth[K_SOC_AUTH_LENGTH];  ///< the K.SoC.Auth delivered by KPH
  gdmc_so_authtok       authTok;                      ///< generated SO.AuthToken
};

#ifdef __cplusplus
}
#endif

#endif // _INC_GDMCINSTANCE_H
